using System;
					
public class Program
{
	public static void Main()
	{
		string a,b,c;
		string x=Console.ReadLine();
		
		string[] ss= new String[7];
		string[] s= new String[10];
		
		ss=x.Split(' ');
		
		a=ss[0];
		b=ss[1];
		c=ss[2];
		
		s[1]=a+b+c;
		s[2]=a+c+b;
		s[3]=b+a+c;
		s[4]=b+c+a;
		s[5]=c+a+b;
		s[6]=c+b+a;
		
		string m="1";
		
		for(int i=1;i<=6;i++)
			if( String.Compare(s[i],m)==1 )
				m=s[i];
		
		Console.WriteLine(m);
	}
}